스토어 설정
API 토큰(PAT) 발급
스토어 소유 API 토큰을 발급한다. 평문 토큰은 이 응답에서 한 번만 노출된다. 발급자가 보유하지 않은 스코프는 지정할 수 없다(`INSUFFICIENT_ROLE`). OWNER/ADMIN 전용.
스토어 소유 API 토큰을 발급한다. 평문 토큰은 이 응답에서 한 번만 노출된다. 발급자가 보유하지 않은 스코프는 지정할 수 없다(INSUFFICIENT_ROLE). OWNER/ADMIN 전용.
Authorization
bearer AuthorizationBearer <token>
userToken(계정 스코프) 또는 storeToken(스토어 스코프)
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
name*string
토큰 이름 (표시용)
Length
1 <= length <= 50scopes*array<>
부여할 스코프. 발급자가 보유한 스코프 이내여야 한다 (rw는 r을 포함)
Items
1 <= items <= 20expiresInDays?|
만료까지 일수. null이면 무기한, 생략하면 90일
Range
1 <= value <= 3650Response Body
application/json
curl -X POST "https://example.com/v1/store/api-tokens" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "scopes": [ "string" ] }'{ "meta": { "status": 201, "code": "OK", "message": "OK", "isSuccess": true }, "data": { "tokenId": "string", "name": "string", "prefix": "string", "scopes": [ "string" ], "createdBy": "string", "createdByName": "string", "createdByEmail": "string", "createdAt": "string", "expiresAt": "string", "lastUsedAt": "string", "token": "string" }, "error": null}